Modify

Opened 6 years ago

Closed 5 years ago

Last modified 5 years ago

#10581 closed enhancement (fixed)

Include icons in auto-created table of (external) plugin/style/preset/validator page

Reported by: skyper Owned by: stoecker
Priority: normal Milestone: 15.02
Component: Trac Version:
Keywords: icon Cc: Klumbumbus

Description

Would be nice if the icons would be included on the automatically created table of external components, similar to the GUI under preferences

Attachments (0)

Change History (29)

comment:1 Changed 6 years ago by Klumbumbus

Cc: Klumbumbus added

comment:2 Changed 6 years ago by stoecker

Owner: changed from stoecker to skyper
Status: newneedinfo

I don't understand what you want.

comment:3 Changed 6 years ago by Klumbumbus

E.g. here: Styles/ one more column on the left with the icon of the style.

comment:4 Changed 6 years ago by stoecker

Ah ok. Well. That's a lot of work. I'll see what I can do.

Didn't know that we have icons for the style, presets and validator rules now.

comment:5 Changed 6 years ago by stoecker

Actually for the XML types icon does not yet exists :-)

comment:6 in reply to:  4 Changed 6 years ago by skyper

Owner: changed from skyper to stoecker
Status: needinfonew

Replying to stoecker:

Ah ok. Well. That's a lot of work. I'll see what I can do.

Well, then it should be on low priority.

comment:7 Changed 6 years ago by stoecker

See r7593.

comment:8 Changed 6 years ago by Don-vip

and r7594 after automatic build. I love Jenkins :)

comment:9 Changed 6 years ago by stoecker

I thought before commit "Do you need to test it or is it easy enough". Well - now I know the answer :-)

comment:10 Changed 6 years ago by stoecker

Ok. For external links the icons are now displayed (only Styles have some).

This does not mean to add external links to styles now to fix the others!

It simply means now the real work to extract the icons needs to be done - i.e. that "a lot of work part". This is a little more complicated than for plugins.

comment:11 in reply to:  10 ; Changed 6 years ago by Klumbumbus

Replying to stoecker:

(only Styles have some).

Also Presets/StolpersteineLight has an external linked icon for example. It is in the <item> part. Does it also need to be outside of it?

comment:12 in reply to:  11 Changed 6 years ago by stoecker

Replying to Klumbumbus:

Replying to stoecker:

(only Styles have some).

Also Presets/StolpersteineLight has an external linked icon for example. It is in the <item> part. Does it also need to be outside of it?

Yes. A global icon must be in <presets ... icon="..."> like all the other global informations.

comment:13 Changed 6 years ago by stoecker

Note: also inline encoded "data:" is supported now, but needs a preliminary trac patch (ticket:11773).

comment:14 Changed 6 years ago by stoecker

External icons in zip files now also supported. Missing the wiki pages (i.e. the majority) and links to JOSM internal icons.

comment:15 Changed 6 years ago by stoecker

In 7654/josm:

support data: style URL's for icon in plugin list, see #10581

comment:16 Changed 6 years ago by Klumbumbus

I don't know what is wrong here. I changed the icon for Styles/Maxspeed to svg. It is no longer displayed in the list at Styles/ (list works again) and in JOSM. (I first uploaded the icon with (NOZIP) and later replaced it without (NOZIP).)

While for Styles/sac_scale the icon is displayed in the list but not in JOSM.

Last edited 6 years ago by Klumbumbus (previous) (diff)

comment:17 Changed 6 years ago by Klumbumbus

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-10-26 02:33:42
Last Changed Author: Klumbumbus
Revision: 7653
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Relative URL: ^/trunk
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-10-25 16:39:46 +0200 (Sat, 25 Oct 2014)
Last Changed Rev: 7653

Identification: JOSM/1.5 (7653 en) Windows 7 32-Bit
Memory Usage: 247 MB / 742 MB (187 MB allocated, but free)
Java version: 1.7.0_71, Oracle Corporation, Java HotSpot(TM) Client VM
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:C:\Program Files\Java\jre7\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files\josm-latest.jnlp, -Djnlpx.remove=true, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=256m,768m, -Djnlpx.splashport=57535, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAA==]
Program arguments: [--debug]

Plugins:
- DirectUpload (30737)
- HouseNumberTaggingTool (30762)
- OpeningHoursEditor (30737)
- PicLayer (30762)
- Tracer2 (30762)
- buildings_tools (30762)
- download_along (30762)
- editgpx (30737)
- imagery_offset_db (30762)
- measurement (30737)
- notes (v0.9.4)
- public_transport (30762)
- reltoolbox (30762)
- reverter (30737)
- tag2link (30719)
- terracer (30737)
- turnrestrictions (30762)
- undelete (30762)
- utilsplugin2 (30762)

Last errors/warnings:
- E: Failed to locate image 'maxspeed_icon.svg'
- W: Mappaint style "standard" (Höchstgeschwindigkeit) icon "maxspeed_icon.svg" not found.
- E: Failed to locate image 'sac_scale_icon.svg'
- W: Mappaint style "standard" (sac_scale) icon "sac_scale_icon.svg" not found.

comment:18 Changed 6 years ago by stoecker

In 7655/josm:

support data: style URL's for icon in plugin list, see #10581, drop old style loading

comment:19 Changed 6 years ago by stoecker

You need to remove the styles in JOSM and readd it, because your link still goes to the XML variant, whereas together with icon it is now ZIP. To prevent this in future all links to the wiki are now ZIP (saves also bandwidth).

comment:20 Changed 6 years ago by stoecker

Resolution: fixed
Status: newclosed

comment:21 in reply to:  19 Changed 6 years ago by Klumbumbus

Replying to stoecker:

You need to remove the styles in JOSM and readd it, because your link still goes to the XML variant, whereas together with icon it is now ZIP. To prevent this in future all links to the wiki are now ZIP (saves also bandwidth).

Thanks. Works now. I thought clearing the cache for this style would be enough.

comment:22 in reply to:  19 Changed 6 years ago by Klumbumbus

Resolution: fixed
Status: closedreopened

Replying to stoecker:

You need to remove the styles in JOSM and readd it, because your link still goes to the XML variant, whereas together with icon it is now ZIP. To prevent this in future all links to the wiki are now ZIP (saves also bandwidth).

As you can see I still have missing icons and their warnings after some weeks.
I also saw some of these errors in other tickets (e.g. #10764, #10753, #10735)
The update should be an automatic task. Otherwise every user needs to remove and readd all styles manually, to get the icon!?

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-11-24 02:33:57
Last Changed Author: Don-vip
Revision: 7743
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Relative URL: ^/trunk
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-11-23 23:54:40 +0100 (Sun, 23 Nov 2014)
Last Changed Rev: 7743

Identification: JOSM/1.5 (7743 de) Windows 7 32-Bit
Memory Usage: 247 MB / 742 MB (169 MB allocated, but free)
Java version: 1.7.0_71, Oracle Corporation, Java HotSpot(TM) Client VM
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:C:\Program Files\Java\jre7\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files\josm-latest.jnlp, -Djnlpx.remove=true, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=256m,768m, -Djnlpx.splashport=63678, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAA==]
Dataset consistency test: No problems found

Last errors/warnings:
- E: Fehler beim Laden des Bildes 'josm_small.png'
- W: Mappaint style "standard" (JOSM default (XML; old version)) icon "josm_small.png" not found.
- E: Fehler beim Laden des Bildes 'error_small.png'
- W: Mappaint style "standard" (FIXME Highlight Warnings) icon "error_small.png" not found.

comment:23 Changed 6 years ago by stoecker

Would require rewriting all the URL's of installed josm server presets and styles by adding "&zip=1" if not yet added. Probably a task for our config updater possibility.

comment:24 Changed 6 years ago by stoecker

Milestone: 14.12

comment:25 Changed 6 years ago by Don-vip

Milestone: 14.1215.01

comment:26 Changed 6 years ago by Don-vip

Milestone: 15.0115.02

move tickets that have not been treated this month to next milestone

comment:27 Changed 5 years ago by Don-vip

Milestone: 15.0215.03

comment:28 Changed 5 years ago by stoecker

Resolution: fixed
Status: reopenedclosed

In 8100/josm:

fix #10581 - rewrite old URL's to JOSM server

comment:29 Changed 5 years ago by stoecker

Milestone: 15.0315.02

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain stoecker.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.